Subject: bug#37189: 25.4.1: vc-hg-ignore implementation is missing

From: Wolfgang Scherer <[email-masked]>
Date: Sat, 22 Feb 2020 23:04:28 +0100

Am 22.02.20 um 20:14 schrieb Dmitry Gutov:
> On 22.02.2020 16:30, Eli Zaretskii wrote:
>>> SRC is RCS/SCCS revisited with a modern frontend. It is - just like
>>> RCS and SCCS - not recursive. None of its commands work recursively.
>> When I actually try this, I see something that confirms my
>> understanding:
>
> The SRC discussion is interesting, but since vc-src doesn't implement the 'ignore backend command, nor the 'find-ignore-file backend command, vc-ignore isn't going to work with it in Emacs 27.
>
> So this VCS's particulars should have little bearing on the current discussion.

They don't. As far as I am concerned, that discussion about changes for Emacs 27 is actually finished. Your proposed patch is sufficient for the status quo, CVS is patched, so there is nothing left to do.

I will just wait for the Emacs 28 discussion to begin.